Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Interface GroovyCodeVisitor

All Known Implementing Classes:
  AsmClassGenerator, AssertionRewriter, ASTTransformationCollectorCodeVisitor, ASTTransformationVisitor, ClassCodeExpressionTransformer, ClassCodeVisitorSupport, ClassCompletionVerifier, ClassGenerator, CodeVisitorSupport, DependencyTracker, DummyClassGenerator, EnumVisitor, GenericsVisitor, GrabAnnotationTransformation, InnerClassVisitor, JavaAwareResolveVisitor, LabelVerifier, NewifyASTTransformation, OptimizerVisitor, ResolveVisitor, SqlOrderByVisitor, SqlWhereVisitor, StatementReplacingVisitorSupport, StaticImportVisitor, TruthExpressionRewriter, VariableScopeVisitor, VerifierCodeVisitor

    public interface GroovyCodeVisitor

An implementation of the visitor pattern for working with ASTNodes

Version:
  $Revision: 20919 $
Author:
  James Strachan

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `visitArgumentlistExpression(ArgumentListExpression expression)`
`void` | `visitArrayExpression(ArrayExpression expression)`
`void` | `visitAssertStatement(AssertStatement statement)`
`void` | `visitAttributeExpression(AttributeExpression attributeExpression)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitBitwiseNegationExpression(BitwiseNegationExpression expression)`
`void` | `visitBlockStatement(BlockStatement statement)`
`void` | `visitBooleanExpression(BooleanExpression expression)`
`void` | `visitBreakStatement(BreakStatement statement)`
`void` | `visitBytecodeExpression(BytecodeExpression expression)`
`void` | `visitCaseStatement(CaseStatement statement)`
`void` | `visitCastExpression(CastExpression expression)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClassExpression(ClassExpression expression)`
`void` | `visitClosureExpression(ClosureExpression expression)`
`void` | `visitClosureListExpression(ClosureListExpression closureListExpression)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression expression)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDeclarationExpression(DeclarationExpression expression)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitExpressionStatement(ExpressionStatement statement)`
`void` | `visitFieldExpression(FieldExpression expression)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitGStringExpression(GStringExpression expression)`
`void` | `visitIfElse(IfStatement ifElse)`
`void` | `visitListExpression(ListExpression expression)`
`void` | `visitMapEntryExpression(MapEntryExpression expression)`
`void` | `visitMapExpression(MapExpression expression)`
`void` | `visitMethodCallExpression(MethodCallExpression call)`
`void` | `visitMethodPointerExpression(MethodPointerExpression expression)`
`void` | `visitNotExpression(NotExpression expression)`
`void` | `visitPostfixExpression(PostfixExpression expression)`
`void` | `visitPrefixExpression(PrefixExpression expression)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitRangeExpression(RangeExpression expression)`
`void` | `visitRegexExpression(RegexExpression expression)` Deprecated.
`void` | `visitReturnStatement(ReturnStatement statement)`
`void` | `visitShortTernaryExpression(ElvisOperatorExpression expression)`
`void` | `visitSpreadExpression(SpreadExpression expression)`
`void` | `visitSpreadMapExpression(SpreadMapExpression expression)`
`void` | `visitStaticMethodCallExpression(StaticMethodCallExpression expression)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
`void` | `visitTernaryExpression(TernaryExpression expression)`
`void` | `visitThrowStatement(ThrowStatement statement)`
`void` | `visitTryCatchFinally(TryCatchStatement finally1)`
`void` | `visitTupleExpression(TupleExpression expression)`
`void` | `visitUnaryMinusExpression(UnaryMinusExpression expression)`
`void` | `visitUnaryPlusExpression(UnaryPlusExpression expression)`
`void` | `visitVariableExpression(VariableExpression expression)`
`void` | `visitWhileLoop(WhileStatement loop)`

Method Detail

### visitBlockStatement

    void visitBlockStatement(BlockStatement statement)

### visitForLoop

    void visitForLoop(ForStatement forLoop)

### visitWhileLoop

    void visitWhileLoop(WhileStatement loop)

### visitDoWhileLoop

    void visitDoWhileLoop(DoWhileStatement loop)

### visitIfElse

    void visitIfElse(IfStatement ifElse)

### visitExpressionStatement

    void visitExpressionStatement(ExpressionStatement statement)

### visitReturnStatement

    void visitReturnStatement(ReturnStatement statement)

### visitAssertStatement

    void visitAssertStatement(AssertStatement statement)

### visitTryCatchFinally

    void visitTryCatchFinally(TryCatchStatement finally1)

### visitSwitch

    void visitSwitch(SwitchStatement statement)

### visitCaseStatement

    void visitCaseStatement(CaseStatement statement)

### visitBreakStatement

    void visitBreakStatement(BreakStatement statement)

### visitContinueStatement

    void visitContinueStatement(ContinueStatement statement)

### visitThrowStatement

    void visitThrowStatement(ThrowStatement statement)

### visitSynchronizedStatement

    void visitSynchronizedStatement(SynchronizedStatement statement)

### visitCatchStatement

    void visitCatchStatement(CatchStatement statement)

### visitMethodCallExpression

    void visitMethodCallExpression(MethodCallExpression call)

### visitStaticMethodCallExpression

    void visitStaticMethodCallExpression(StaticMethodCallExpression expression)

### visitConstructorCallExpression

    void visitConstructorCallExpression(ConstructorCallExpression expression)

### visitTernaryExpression

    void visitTernaryExpression(TernaryExpression expression)

### visitShortTernaryExpression

    void visitShortTernaryExpression(ElvisOperatorExpression expression)

### visitBinaryExpression

    void visitBinaryExpression(BinaryExpression expression)

### visitPrefixExpression

    void visitPrefixExpression(PrefixExpression expression)

### visitPostfixExpression

    void visitPostfixExpression(PostfixExpression expression)

### visitBooleanExpression

    void visitBooleanExpression(BooleanExpression expression)

### visitClosureExpression

    void visitClosureExpression(ClosureExpression expression)

### visitTupleExpression

    void visitTupleExpression(TupleExpression expression)

### visitMapExpression

    void visitMapExpression(MapExpression expression)

### visitMapEntryExpression

    void visitMapEntryExpression(MapEntryExpression expression)

### visitListExpression

    void visitListExpression(ListExpression expression)

### visitRangeExpression

    void visitRangeExpression(RangeExpression expression)

### visitPropertyExpression

    void visitPropertyExpression(PropertyExpression expression)

### visitAttributeExpression

    void visitAttributeExpression(AttributeExpression attributeExpression)

### visitFieldExpression

    void visitFieldExpression(FieldExpression expression)

### visitMethodPointerExpression

    void visitMethodPointerExpression(MethodPointerExpression expression)

### visitConstantExpression

    void visitConstantExpression(ConstantExpression expression)

### visitClassExpression

    void visitClassExpression(ClassExpression expression)

### visitVariableExpression

    void visitVariableExpression(VariableExpression expression)

### visitDeclarationExpression

    void visitDeclarationExpression(DeclarationExpression expression)

### visitRegexExpression

    @Deprecated
    void visitRegexExpression(RegexExpression expression)

  Deprecated.

### visitGStringExpression

    void visitGStringExpression(GStringExpression expression)

### visitArrayExpression

    void visitArrayExpression(ArrayExpression expression)

### visitSpreadExpression

    void visitSpreadExpression(SpreadExpression expression)

### visitSpreadMapExpression

    void visitSpreadMapExpression(SpreadMapExpression expression)

### visitNotExpression

    void visitNotExpression(NotExpression expression)

### visitUnaryMinusExpression

    void visitUnaryMinusExpression(UnaryMinusExpression expression)

### visitUnaryPlusExpression

    void visitUnaryPlusExpression(UnaryPlusExpression expression)

### visitBitwiseNegationExpression

    void visitBitwiseNegationExpression(BitwiseNegationExpression expression)

### visitCastExpression

    void visitCastExpression(CastExpression expression)

### visitArgumentlistExpression

    void visitArgumentlistExpression(ArgumentListExpression expression)

### visitClosureListExpression

    void visitClosureListExpression(ClosureListExpression closureListExpression)

### visitBytecodeExpression

    void visitBytecodeExpression(BytecodeExpression expression)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD